#ifndef MY_OPENGL_FUNCTIONS_H
#define MY_OPENGL_FUNCTIONS_H

#include "./../../lib/GLee/GLee.h"	
#include <cassert>
#include "./macros/macro.h"

const unsigned int MAX_TEXTURE_UNITS= 8;

void selectTextureUnit(unsigned int unit_number);

unsigned int getTextureWidth( unsigned int texId );
unsigned int getTextureHeight( unsigned int texId );

#endif